from setuptools import setup
import os
# from freecad.robossembler.version import __version__
# name: this is the name of the distribution.
# Packages using the same name here cannot be installed together

version_path = os.path.join(os.path.abspath(os.path.dirname(__file__)), 
                            "freecad", "robossembler", "version.py")
with open(version_path) as fp:
    exec(fp.read())

setup(name='freecad.robossembler',
      version=str(__version__),
      packages=['freecad',
                'freecad.robossembler',
                'freecad.robossembler.utils'],
      maintainer="Mark Voltov",
      maintainer_email="ius.mark.alex@gmail.com",
      url="https://gitlab.com/robossembler/framework",
      description="FreeCAD Robossembler Workbench - Assembly Sequence Planning, Analysis",
      install_requires=[], # should be satisfied by FreeCAD's system dependencies already
      include_package_data=True)
